io.vertx.rxjava.ext.auth.authorization

## Class NotAuthorization

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authorization.Authorization
  - - io.vertx.rxjava.ext.auth.authorization.NotAuthorization

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class NotAuthorization
      extends Authorization
      implements io.vertx.lang.rx.RxDelegate

  Allows to perform a logical 'not' of the specified authorization

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<NotAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotAuthorization(NotAuthorization delegate)`
    `NotAuthorization(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotAuthorization` | `create(Authorization authorization)`
    `boolean` | `equals(Object o)`
    `Authorization` | `getAuthorization()`
    `NotAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static NotAuthorization` | `newInstance(NotAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authorization.Authorization

      `match, match, newInstance, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<NotAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### NotAuthorization

          public NotAuthorization(NotAuthorization delegate)

    - #### NotAuthorization

          public NotAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Authorization`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Authorization`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Authorization`

    - #### getDelegate

          public NotAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Authorization`

    - #### create

          public static NotAuthorization create(Authorization authorization)

    - #### getAuthorization

          public Authorization getAuthorization()

    - #### newInstance

          public static NotAuthorization newInstance(NotAuthorization arg)

Copyright © 2025 Eclipse. All rights reserved.